/*
    Copyright  1995-2001, The AROS Development Team. All rights reserved.
    $Id: catalog_funcs.c,v 1.4 2012/11/11 10:52:35 itix Exp $
*/

#include <libraries/locale.h>
#include <proto/btree.h>

#include "locale_intern.h"

/*
** Dispose the catalog's strings but not the Catalog structure 
** itself.
*/
void dispose_catalog(struct IntCatalog * cat,
                     struct LocaleBase * LocaleBase)
{
	APTR cattree = cat->ic_CatTree;

	if (cattree)
	{
		GETTREEBASE(LocaleBase);

		cat->ic_CatTree = NULL;
		DeleteTree(cattree);
	}
}
